Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.hibernate
Class VersionEntry

    java.lang.Object
      org.jboss.portal.cms.hibernate.VersionEntry

All Implemented Interfaces:
  java.io.Serializable

    public class VersionEntry

extends java.lang.Object
implements java.io.Serializable

Author:
  Roy Russo
See Also:
  Serialized Form

Constructor Summary
`VersionEntry()`
`VersionEntry(java.lang.String path, java.lang.String name, java.sql.Blob data, long lastmod, long length)`

Method Summary
`java.sql.Blob` | `getData()`
`java.lang.Integer` | `getKey()`
`long` | `getLastmod()`
`long` | `getLength()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`void` | `setData(java.sql.Blob data)`
`void` | `setKey(java.lang.Integer key)`
`void` | `setLastmod(long lastmod)`
`void` | `setLength(long length)`
`void` | `setName(java.lang.String name)`
`void` | `setPath(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionEntry

    public VersionEntry()

### VersionEntry

    public VersionEntry(java.lang.String path,
                        java.lang.String name,
                        java.sql.Blob data,
                        long lastmod,
                        long length)

Method Detail

### getKey

    public java.lang.Integer getKey()

### setKey

    public void setKey(java.lang.Integer key)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getData

    public java.sql.Blob getData()

### setData

    public void setData(java.sql.Blob data)

### getLastmod

    public long getLastmod()

### setLastmod

    public void setLastmod(long lastmod)

### getLength

    public long getLength()

### setLength

    public void setLength(long length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.